﻿using UnityEngine;

namespace Bonfire
{
    public class PlayerAnimation : MonoBehaviour
    {
        Animator animator = null;
        PlayerStatus status = null;
        Weapon weapon = null;

        //
        // Animation のイベントから呼び出す関数
        //
        void Hit()
        {
        }
        void FootL()
        {
        }
        void FootR()
        {
        }

        void CallAnimationEnd()
        {
            status.resetStatus();
        }

        void WeaponSwitch()
        {
            if(status.EquipWepon)
            {
                weapon.WeponEquipment(true);
            }
            if(status.UnequipWeapon)
            {
                weapon.WeponEquipment(false);
            }
            status.resetStatus();
        }

        void Start()
        {
            animator = GetComponent<Animator>();
            status = GetComponent<PlayerStatus>();
            weapon = GetComponent<Weapon>();
        }

        void Update()
        {
            animator.SetBool("IsGrounded", status.isGrounded);
            animator.SetBool("IsLockOn", status.isLockOn);
            animator.SetBool("IsAttackR1", status.isAttackR1);
            animator.SetBool("IsAttackR1_2", status.isAttackR1_2);
            animator.SetBool("IsRolling", status.isRolling);
            animator.SetBool("IsJumping", status.isJumping);
            animator.SetBool("EquipWeapon", status.EquipWepon);
            animator.SetBool("UnequipWeapon", status.UnequipWeapon);
        }
    }
}

